Loading...
Searching...
No Matches
U_HEADER_ONLY_NAMESPACE::CodePointRange Struct Reference

A contiguous range of code points in a USet/UnicodeSet. More...

`#include <uset.h>`

## Data Structures

struct | iterator

## Public Member Functions

| CodePointRange (UChar32 start, UChar32 end)
| CodePointRange (const CodePointRange &other)=default
size_t | size () const
iterator | begin () const
iterator | end () const

## Data Fields

UChar32 | rangeStart
| Start of a USet/UnicodeSet range of code points.
UChar32 | rangeEnd
| Inclusive end of a USet/UnicodeSet range of code points.

## Detailed Description

A contiguous range of code points in a USet/UnicodeSet.

Returned by USetRangeIterator which is returned by USetRanges. Both the rangeStart and rangeEnd are in the range. (end() returns an iterator corresponding to rangeEnd+1.)

Stable
  ICU 76

Definition at line 1455 of file uset.h.

## Constructor & Destructor Documentation

## CodePointRange() [1/2]

U_HEADER_ONLY_NAMESPACE::CodePointRange::CodePointRange | ( | UChar32 | start,
|  | UChar32 | end )

inline

Stable
  ICU 76

Definition at line 1494 of file uset.h.

References end(), rangeEnd, and rangeStart.

Referenced by CodePointRange().

## CodePointRange() [2/2]

U_HEADER_ONLY_NAMESPACE::CodePointRange::CodePointRange | ( | const CodePointRange & | other | ) |

default

Stable
  ICU 76

References CodePointRange().

## Member Function Documentation

## begin()

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::begin | ( |  | ) | const

inline

Stable
  ICU 76

Definition at line 1500 of file uset.h.

References rangeStart.

## end()

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::end | ( |  | ) | const

inline

Stable
  ICU 76

Definition at line 1502 of file uset.h.

References rangeEnd.

Referenced by CodePointRange().

## size()

size_t U_HEADER_ONLY_NAMESPACE::CodePointRange::size | ( |  | ) | const

inline

Stable
  ICU 76

Definition at line 1498 of file uset.h.

References rangeEnd, and rangeStart.

## Field Documentation

## rangeEnd

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::rangeEnd

Inclusive end of a USet/UnicodeSet range of code points.

Stable
  ICU 76

Definition at line 1513 of file uset.h.

Referenced by CodePointRange(), end(), and size().

## rangeStart

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::rangeStart

Start of a USet/UnicodeSet range of code points.

Stable
  ICU 76

Definition at line 1508 of file uset.h.

Referenced by begin(), CodePointRange(), and size().

The documentation for this struct was generated from the following file:

- common/unicode/uset.h